package com.zanxiang.game.module.base.pojo.enums;

import lombok.Getter;

@Getter
public enum AccountTypeEnum {
    // 不投放
    UN_PUT(0),
    // 腾讯 H5
    TENCENT_H5(1),
    // 头条小游戏
    BYTE(2),
    // 腾讯小游戏
    TENCENT_MINI_GAME(3),
    // 腾讯APP
    TENCENT_APP(4),
    // 头条APP
    BYTE_APP(5),
    // 腾讯APP（企微信链路）
    TENCENT_APP_API(6),
    ;

    private final Integer value;

    AccountTypeEnum(Integer value) {
        this.value = value;
    }

    public static AccountTypeEnum getByValue(Integer value) {
        if (value == null) {
            return null;
        }
        for (AccountTypeEnum accountType : AccountTypeEnum.values()) {
            if (accountType.getValue().equals(value)) {
                return accountType;
            }
        }
        return null;
    }
}
